Tag: android gradle

Android AssertJ 1.0.0 avec Android Gradle 1.1.1

Voici une partie de mon build.gradle qui a un conflit: … dependencies { classpath 'com.android.tools.build:gradle:1.1.1' } … testCompile( 'com.squareup.assertj:assertj-android:1.0.0' ) … Le problème que je vois dans le journal: WARNING: Conflict with dependency 'com.android.support:support-annotations'. Resolved versions for app (21.0.3) and test app (20.0.0) differ. Apparemment, il supprime la dépendance conflictuelle du classpath. Je ne suis […]

Comment puis-je afficher la commande CLI exécutée par une tâche Gradle dans Android Studio?

J'essaie d'avoir une meilleure image de ce qui se passe derrière les scènes dans Android Studio lors de la construction d'une application Android. J'ai lu sur Gradle, mais une chose que je ne peux pas comprendre, c'est comment voir la commande et les arguments CLI respectifs invoqués par Gradle. Il semble être extrait et non […]

Cadre de test Android Gradle: classe unique

Est-il possible d'exécuter une seule classe de test en utilisant le nouveau cadre de compilation Android Gradle? J'ai un package de test qui comporte plusieurs classes de test (toutes sont des classes InstrumentationTestCase). J'ai pu configurer mon fichier build.gradle pour exécuter le package de test defaultConfig{ testPackageName "com.company.product.tests" testInstrumentationRunner "android.test.InstrumentationTestRunner" } Mais existe-t-il un moyen […]

Comment on héritent des cours de test dans les modules de bibliothèque Android?

J'ai un projet Android Studio avec deux modules de bibliothèque: foo-module et bar-module . Chaque implémente une bibliothèque, avec foo-module définissant une interface de stratégie et bar-module fonction de foo-module et mettant en œuvre une telle stratégie. foo-module a des tests d'instrumentation ( foo-module/src/androidTest/ ) pour tester son code principal, en utilisant une implémentation de […]

Le serveur ADB n'a pas ACK sur MacOS

Je reçois cette erreur depuis il y a deux jours lorsque j'ai mis à jour mon Android Studio vers la dernière version stable 2.3; Le message d'erreur complet que je reçois de Gradle Console est: 07:59:59 E/adb: error: could not install *smartsocket* listener: Address already in use 07:59:59 E/adb: ADB server didn't ACK 07:59:59 E/adb: […]

Avertissement: Ignorer l'artefact de l'API Android com.google.android:android:4.1.1.4

Android Studio ce matin a ajouté des bibliothèques externes à mon projet. Maintenant, lors de la construction de mon projet, je reçois Warning:Ignoring Android API artifact com.google.android:android:4.1.1.4 for debug Est-ce que quelqu'un sait ce que cela signifie?

Problème Android Studio Gradle après mise à jour vers la version 0.6.0

Depuis que j'ai mis à jour Android Studio vers la version 0.6.0, je suis confronté au problème suivant avec Gradle Sync: Il y a une discussion sur Google+ et Google adt-dev group, ce qui suggère que l'activation automatique de New Manifest Merger cause le problème. La discussion et la solution sont tellement imprécises sur les […]

Proguard ralentissant le processus de construction Android trop

Mon processus de génération d'application Android prend 3 + minutes avec ProGuard activé. Quelles sont les choses fondamentales que je peux faire pour accélérer cela?

Différentes bibliothèques / importations selon le type de construction

Dans une application Android, je dois utiliser un SDK spécifique pour un certain périphérique. Tout fonctionne bien avec une seule variante de construction: provided fileTree(include: ['peripheral.jar'], dir: 'libs') compile fileTree(exclude: ['peripheral.jar'], dir: 'libs') Le problème est que le SDK repose sur une bibliothèque partagée installée dans le périphérique réel. Si j'essaie d'installer l'application dans n'importe […]

Comment résoudre l'erreur Android Studio où il ne peut pas trouver le fichier Manifest du projet?

Je migre mon projet hérité d'Eclipse vers un studio Android. J'ai fait les choses suivantes: Exporter et générer des fichiers de génération de gradle dans eclipse Imported le fichier Gradle.build dans Android Studio Modifié mes dépendances de la version de gradle à: classpath 'com.android.tools.build:gradle:0.9.+' Mon dossier racine du projet contient 3 projets de bibliothèque: Actionbarsherlock […]

coAndroid est un fan Android de Google, tout sur les téléphones Android, Android Wear, Android Dev et Android Games Apps.